Subject: bug#7952: 24.0.50; crash in find_interval

From: Andreas Schwab <[email-masked]>
Date: Sat, 19 Mar 2011 13:14:48 +0100

Eli Zaretskii <[email-masked]> writes:

> There's nothing in this code that modifies `tree' in any way.  (I even
> disassembled the code to make sure.)  So how come a non-NULL value
> becomes NULL here?

It isn't, otherwise you would get a crash.

> Since this value is passed in a register by the caller and kept in a
> register from the very beginning of the function, not even some
> missing GCPRO somewhere could explain this.  What am I missing?

Probably your toolchain is too old to be able to produce complete unwind
information.  Try setting a breakpoint at the abort line to get a better
picture.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."